org.apache.olingo.server.api.processor

## Interface ReferenceProcessor

- All Superinterfaces:
    Processor

      public interface ReferenceProcessor
      extends Processor

  Processor interface for handling a single instance of an Entity Reference.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createReference(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat)` Creates entity reference in the persistence and puts content, status, and Location into the response.
    `void` | `deleteReference(ODataRequest request, ODataResponse response, UriInfo uriInfo)` Deletes reference to an entity from persistence and puts the status into the response.
    `void` | `readReference(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType responseFormat)` Reads entity reference from persistence and put it as serialized content and status into the response.
    `void` | `updateReference(ODataRequest request, ODataResponse response, UriInfo uriInfo, ContentType requestFormat)` Update entity reference in the persistence and puts content, status, and Location into the response.

    - ### Methods inherited from interface org.apache.olingo.server.api.processor.Processor

      `init`

- - ### Method Detail

    - #### readReference

          void readReference(ODataRequest request,
                             ODataResponse response,
                             UriInfo uriInfo,
                             ContentType responseFormat)
                      throws ODataApplicationException,
                             ODataLibraryException

      Reads entity reference from persistence and put it as serialized content and status into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `responseFormat` - requested content type after content negotiation
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### createReference

          void createReference(ODataRequest request,
                               ODataResponse response,
                               UriInfo uriInfo,
                               ContentType requestFormat)
                        throws ODataApplicationException,
                               ODataLibraryException

      Creates entity reference in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### updateReference

          void updateReference(ODataRequest request,
                               ODataResponse response,
                               UriInfo uriInfo,
                               ContentType requestFormat)
                        throws ODataApplicationException,
                               ODataLibraryException

      Update entity reference in the persistence and puts content, status, and Location into the response.
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
        `requestFormat` - content type of body sent with request
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

    - #### deleteReference

          void deleteReference(ODataRequest request,
                               ODataResponse response,
                               UriInfo uriInfo)
                        throws ODataApplicationException,
                               ODataLibraryException

      Deletes reference to an entity from persistence and puts the status into the response. Delete on a reference only removes the reference to and not the entity itself (see chapter "11.4.6.2 Remove a Reference to an Entity")
      Parameters:
        `request` - OData request object containing raw HTTP information
        `response` - OData response object for collecting response data
        `uriInfo` - information of a parsed OData URI
      Throws:
        `ODataApplicationException` - if the service implementation encounters a failure
        `ODataLibraryException`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.